From 79adeec06d946af5dcb6f3708f2ebbd59e74fec1 Mon Sep 17 00:00:00 2001
From: Patrick Uiterwijk <puiterwijk@redhat.com>
Date: Dec 14 2016 11:31:29 +0000
Subject: Configuration files in /etc/koji.conf.d need to end with .conf


Signed-off-by: Patrick Uiterwijk <puiterwijk@redhat.com>

---

diff --git a/Makefile.am b/Makefile.am
index 0e5a334..52b7d54 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -69,14 +69,14 @@ ppc-koji: $(srcdir)/src/secondary-koji
 fedora_cert_PYTHON = $(wildcard $(srcdir)/src/fedora_cert/*.py)
 
 fedora_certdir = $(pythondir)/fedora_cert
-EXTRA_DIST += configs/arm-config \
-	configs/ppc-config \
-	configs/s390-config \
-	configs/stg-config
-kojiconf_DATA = $(srcdir)/configs/arm-config \
-	$(srcdir)/configs/ppc-config \
-	$(srcdir)/configs/s390-config \
-	$(srcdir)/configs/stg-config
+EXTRA_DIST += configs/arm.conf \
+	configs/ppc.conf \
+	configs/s390.conf \
+	configs/stg.conf
+kojiconf_DATA = $(srcdir)/configs/arm.conf \
+	$(srcdir)/configs/ppc.conf \
+	$(srcdir)/configs/s390.conf \
+	$(srcdir)/configs/stg.conf
 kojiconfdir = $(sysconfdir)/koji.conf.d/
 
 EXTRA_DIST += krb-configs/fedoraproject_org \
diff --git a/configs/arm-config b/configs/arm-config
deleted file mode 100644
index f927c15..0000000
--- a/configs/arm-config
+++ /dev/null
@@ -1,15 +0,0 @@
-[arm]
-
-;configuration for koji cli tool
-
-;url of XMLRPC server
-server = https://arm.koji.fedoraproject.org/kojihub
-
-;url of web interface
-weburl = https://arm.koji.fedoraproject.org/koji
-
-;url of package download site
-topurl = https://armpkgs.fedoraproject.org/
-
-authtype = kerberos
-krb_rdns = false
diff --git a/configs/arm.conf b/configs/arm.conf
new file mode 100644
index 0000000..f927c15
--- /dev/null
+++ b/configs/arm.conf
@@ -0,0 +1,15 @@
+[arm]
+
+;configuration for koji cli tool
+
+;url of XMLRPC server
+server = https://arm.koji.fedoraproject.org/kojihub
+
+;url of web interface
+weburl = https://arm.koji.fedoraproject.org/koji
+
+;url of package download site
+topurl = https://armpkgs.fedoraproject.org/
+
+authtype = kerberos
+krb_rdns = false
diff --git a/configs/ppc-config b/configs/ppc-config
deleted file mode 100644
index 10ede79..0000000
--- a/configs/ppc-config
+++ /dev/null
@@ -1,15 +0,0 @@
-[ppc]
-
-;configuration for koji cli tool
-
-;url of XMLRPC server
-server = https://ppc.koji.fedoraproject.org/kojihub
-
-;url of web interface
-weburl = https://ppc.koji.fedoraproject.org/koji
-
-;url of package download site
-topurl = https://ppc.koji.fedoraproject.org/
-
-authtype = kerberos
-krb_rdns = false
diff --git a/configs/ppc.conf b/configs/ppc.conf
new file mode 100644
index 0000000..10ede79
--- /dev/null
+++ b/configs/ppc.conf
@@ -0,0 +1,15 @@
+[ppc]
+
+;configuration for koji cli tool
+
+;url of XMLRPC server
+server = https://ppc.koji.fedoraproject.org/kojihub
+
+;url of web interface
+weburl = https://ppc.koji.fedoraproject.org/koji
+
+;url of package download site
+topurl = https://ppc.koji.fedoraproject.org/
+
+authtype = kerberos
+krb_rdns = false
diff --git a/configs/s390-config b/configs/s390-config
deleted file mode 100644
index df256f7..0000000
--- a/configs/s390-config
+++ /dev/null
@@ -1,15 +0,0 @@
-[s390]
-
-;configuration for koji cli tool
-
-;url of XMLRPC server
-server = https://s390.koji.fedoraproject.org/kojihub
-
-;url of web interface
-weburl = https://s390.koji.fedoraproject.org/koji
-
-;url of package download site
-topurl = https://s390pkgs.fedoraproject.org/
-
-authtype = kerberos
-krb_rdns = false
diff --git a/configs/s390.conf b/configs/s390.conf
new file mode 100644
index 0000000..df256f7
--- /dev/null
+++ b/configs/s390.conf
@@ -0,0 +1,15 @@
+[s390]
+
+;configuration for koji cli tool
+
+;url of XMLRPC server
+server = https://s390.koji.fedoraproject.org/kojihub
+
+;url of web interface
+weburl = https://s390.koji.fedoraproject.org/koji
+
+;url of package download site
+topurl = https://s390pkgs.fedoraproject.org/
+
+authtype = kerberos
+krb_rdns = false
diff --git a/configs/stg-config b/configs/stg-config
deleted file mode 100644
index fab9e1d..0000000
--- a/configs/stg-config
+++ /dev/null
@@ -1,15 +0,0 @@
-[stg]
-
-;configuration for koji cli tool
-
-;url of XMLRPC server
-server = https://koji.stg.fedoraproject.org/kojihub
-
-;url of web interface
-weburl = https://koji.stg.fedoraproject.org/koji
-
-;url of package download site
-topurl = https://kojipkgs.stg.fedoraproject.org/
-
-authtype = kerberos
-krb_rdns = false
diff --git a/configs/stg.conf b/configs/stg.conf
new file mode 100644
index 0000000..fab9e1d
--- /dev/null
+++ b/configs/stg.conf
@@ -0,0 +1,15 @@
+[stg]
+
+;configuration for koji cli tool
+
+;url of XMLRPC server
+server = https://koji.stg.fedoraproject.org/kojihub
+
+;url of web interface
+weburl = https://koji.stg.fedoraproject.org/koji
+
+;url of package download site
+topurl = https://kojipkgs.stg.fedoraproject.org/
+
+authtype = kerberos
+krb_rdns = false
diff --git a/src/secondary-koji b/src/secondary-koji
index e8c1426..813eb7e 100755
--- a/src/secondary-koji
+++ b/src/secondary-koji
@@ -2,7 +2,7 @@
 
 arch=`basename $0 | cut -d '-' -f 1`
 
-config="/etc/koji.conf.d/${arch}-config"
+config="/etc/koji.conf.d/${arch}.conf"
 
 if [ ! -f $config ]; then
     echo "Config file for $arch doesn't exist"

